BasketsCustomerSetItem:
  post:
    tags:
      - customerBaskets
    operationId: setBasketCustomerItem
    x-lg-handler: 'App\Http\ApiV1\Modules\Baskets\Controllers\BasketsCustomerController@setItem'
    summary: Set the product in the user's basket
    description: Set the product in the user's basket
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/baskets.yaml#/SetBasketItemRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: '../index.yaml#/components/schemas/EmptyDataResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
BasketsCustomerSearchOne:
  post:
    tags:
      - customerBaskets
    operationId: searchBasketCustomer
    x-lg-handler: 'App\Http\ApiV1\Modules\Baskets\Controllers\BasketsCustomerController@searchOne'
    summary: Get information about the user's basket
    description: Get information about the user's basket
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/baskets.yaml#/SearchBasketCustomerRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: './schemas/baskets.yaml#/SearchBasketCustomerResponse'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
BasketsCustomerDelete:
  delete:
    tags:
      - customerBaskets
    operationId: deleteBasketCustomer
    x-lg-handler: 'App\Http\ApiV1\Modules\Baskets\Controllers\BasketsCustomerController@delete'
    summary: Delete the user's current basket
    description: Delete the user's current basket
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/baskets.yaml#/DeleteBasketCustomerRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: '../index.yaml#/components/schemas/EmptyDataResponse'
      "404":
        $ref: '../index.yaml#/components/responses/NotFound'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
BasketsSearch:
  post:
    tags:
      - baskets
    operationId: searchBaskets
    x-lg-handler: 'App\Http\ApiV1\Modules\Baskets\Controllers\BasketsController@search'
    x-lg-skip-request-generation: true
    summary: Search for objects of the type Basket
    description: Search for objects of the type Basket
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/baskets.yaml#/SearchBasketsRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: './schemas/baskets.yaml#/SearchBasketsResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
BasketItemsSearch:
  post:
    tags:
      - basketItems
    operationId: searchBasketItems
    x-lg-handler: 'App\Http\ApiV1\Modules\Baskets\Controllers\BasketItemsController@search'
    x-lg-skip-request-generation: true
    summary: Search for objects of the type BasketItem
    description: Search for objects of the type BasketItem
    requestBody:
      required: true
      content:
        application/json:
          schema:
            $ref: './schemas/basket_items.yaml#/SearchBasketItemsRequest'
    responses:
      "200":
        description: Successful response
        content:
          application/json:
            schema:
              $ref: './schemas/basket_items.yaml#/SearchBasketItemsResponse'
      "400":
        $ref: '../index.yaml#/components/responses/BadRequest'
      "500":
        $ref: '../index.yaml#/components/responses/ServerError'
